#
# spec file for package osc (Version 0.126)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           osc
Version:        0.127
Release:        1
Group:          Development/Tools/Other
License:        GPLv2+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.gitorious.org/opensuse/osc
Source:         osc-%{version}.tar.gz
Summary:        openSUSE Build Service Commander
%if 0%{?mandriva_version} == 02010
%else
Requires:       python-urlgrabber
BuildRequires:  python-urlgrabber
%endif
BuildRequires:  python-devel
#
%if 0%{?suse_version}
%if %suse_version < 1020
BuildRequires:  python-elementtree
Requires:       python-elementtree
%else
BuildRequires:  python-xml
Requires:       python-xml
%endif
%if %suse_version > 1110
BuildArch:      noarch
%endif
%if %suse_version > 1000
Recommends:     build > 2009.06.03
%endif
%endif
%if 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  python-elementtree
Requires:       python-elementtree
%endif
%if 0%{?suse_version}%{?mandriva_version}
BuildRequires:  python-m2crypto
Requires:       python-m2crypto > 0.19
%else
BuildRequires:  m2crypto
Requires:       m2crypto > 0.19
%endif

#
%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Commandline client for the openSUSE Build Service.

See http://en.opensuse.org/Build_Service/CLI , as well as
http://en.opensuse.org/Build_Service_Tutorial for a general
introduction.


%prep
%setup -q

%build
CFLAGS="%{optflags}" \
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root %{buildroot}
%__ln_s osc-wrapper.py %{buildroot}/%{_bindir}/osc
%__mkdir_p %{buildroot}/var/lib/osc-plugins
%__mkdir_p %{buildroot}%{_sysconfdir}/profile.d
%__install -m 0644 dist/complete.csh %{buildroot}%{_sysconfdir}/profile.d/osc.csh
%__install -m 0644 dist/complete.sh %{buildroot}%{_sysconfdir}/profile.d/osc.sh
%if 0%{?suse_version} > 1110
%__mkdir_p %{buildroot}%{_prefix}/lib/osc
%__install -m 0755 dist/osc.complete %{buildroot}%{_prefix}/lib/osc/complete
%else
%__mkdir_p %{buildroot}%{_prefix}/%{_lib}/osc
%__install -m 0755 dist/osc.complete %{buildroot}%{_prefix}/%{_lib}/osc/complete
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/osc*
%{python_sitelib}/*
%config %{_sysconfdir}/profile.d/osc.sh
%config %{_sysconfdir}/profile.d/osc.csh
%if 0%{?suse_version} > 1110
%dir %{_prefix}/lib/osc
%{_prefix}/lib/osc/complete
%else
%dir %{_prefix}/%{_lib}/osc
%{_prefix}/%{_lib}/osc/complete
%endif
%dir /var/lib/osc-plugins
%doc AUTHORS README TODO NEWS
%doc %_mandir/man1/osc.*

%changelog
